<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		||just_include||addrbookfcss.tpl||
		<title>Address Book (||abook_edit||)</title>
		<script type="text/javascript">
			<!---
function enc_quotes(str){
		var lastIndex = 0;
		for(lastIndex=0;;){
			if((lastIndex = str.indexOf("!", lastIndex+1))<0)break;
			str = str.substring(0, lastIndex) + "!21" + str.substring(lastIndex+1, str.length);
		}
		for(lastIndex=0;;){
			if((lastIndex = str.indexOf("'", lastIndex+1))<0)break;
			str = str.substring(0, lastIndex) + "!60" + str.substring(lastIndex+1, str.length);
		}
		for(lastIndex=0;;){
			if((lastIndex = str.indexOf('"', lastIndex+1))<0)break;
			str = str.substring(0, lastIndex) + "!22" + str.substring(lastIndex+1, str.length);
		}
		for(lastIndex=0;;){
			if((lastIndex = str.indexOf("~", lastIndex+1))<0)break;
			str = str.substring(0, lastIndex) + "!E7" + str.substring(lastIndex+1, str.length);
		}
		for(lastIndex=0;;){
			if((lastIndex = str.indexOf("\\", lastIndex+1))<0)break;
			str = str.substring(0, lastIndex) + "!5C" + str.substring(lastIndex+1, str.length);
		}
		return str;
}

function addAddress(){
	if(document.addrbook.nick_name.value == ""){
		alert("You must enter a nick name");
		return;
	}
	if(document.addrbook.abk_email.value == ""){
		alert("You must enter an email address");
		return;
	}
	||ifempty||nick_name||
		document.addrbook.cmd.value = "add_check_addr";
	||else||
		if("||encode_quotes||nick_name||" == enc_quotes(document.addrbook.nick_name.value))
			document.addrbook.cmd.value = "add_addr";
		else
			document.addrbook.cmd.value = "replace_check_addr";
	||endif||
	document.addrbook.submit();
||ifequal||is_mac||true||
	||ifdef||ie_version||
		return;
	||endif||
||endif||
	document.addrbook.nick_name.value = "";
	document.addrbook.abk_full_name.value = "";
	document.addrbook.abk_email.value = "";
	document.addrbook.abk_phone.value = "";
	document.addrbook.abk_mobile.value = "";
	document.addrbook.abk_fax.value = "";
	document.addrbook.abk_address.value = "";
}

function saveAddress(){
	addAddress();
	||ifinstr||netscape_version||5.||
	||else||
	window.close();
	||endif||
}

function delAddress()
{
	document.addrbook.cmd.value = "del_addr";
	document.addrbook.submit();
	||ifinstr||netscape_version||5.||
	||else||
	window.close();
	||endif||
}
// -->
		</script>
	</head>
	<body background="||cust_panel_background||" bgcolor="||cust_panel_bgcolor||" onload="document.addrbook.nick_name.focus();">
		<center>
||ifdef||error||
	<table border="1">
				<tr>
					<td>
						<img src="||nwimg||/attention.gif" alt="Attention" />
					</td>
					<td bgcolor="ffffff">||error||</td>
				</tr>
			</table>
||endif||

||ifdef||msg||
	<table border="1">
				<tr>
					<td bgcolor="ffffff">||msg||</td>
				</tr>
			</table>
||endif||
</center>
		<form id="addrbook" name="addrbook" method="post" action="||action||" target="framelist">
			<input type="hidden" id="fromItem" name="fromItem" value="||fromItem||"/>
			<input type="hidden" id="utoken" name="utoken" value="||utoken||"/>
			<input type="hidden" id="cmd" name="cmd" value=""/>
			<input type="hidden" id="process" name="process" value="pick_edit"/>
			<input type="hidden" id="page" name="page" value="pickf"/>
			<input type="hidden" id="abook_edit" name="abook_edit" value="||abook_edit||"/>
			<table width="100%" cellspacing="0" cellpadding="0">
				<tr align="center">
					<th>||ifempty||nick_name||Add to Address Book '||abook_edit||'||else||Edit Address Book Entry||endif||</th>
				</tr>
				<tr>
					<td>
						<table>
							<tr>
								<td align="right">Nickname:</td>
								<td>
									<input type="text" size="10" id="nick_name" name="nick_name" value="||html_text||nick_name||"/>
				||ifnempty||nick_name||
					<input type="hidden" name="old_nick_name" id="old_nick_name" value="||html_text||nick_name||"/>
				||endif||
			</td>
							</tr>
							<tr>
								<td align="right">Full Name:</td>
								<td align="left">
									<input type="text" size="25" id="abk_full_name" name="abk_full_name" value="||html_text||abk_full_name||"/>
								</td>
							</tr>
							<tr>
								<td align="right">EMail Address:</td>
								<td>
									<input type="text" size="25" id="abk_email" name="abk_email" value="||html_text||abk_email||"/>
								</td>
							</tr>
							<tr>
								<td align="right">Phone:</td>
								<td>
									<input type="text" size="25" id="abk_phone" name="abk_phone" value="||html_text||abk_phone||"/>
								</td>
							</tr>
							<tr>
								<td align="right">Mobile:</td>
								<td>
									<input type="text" size="25" id="abk_mobile" name="abk_mobile" value="||html_text||abk_mobile||"/>
								</td>
							</tr>
							<tr>
								<td align="right">Fax:</td>
								<td>
									<input type="text" size="25"  id="abk_fax" name="abk_fax" value="||html_text||abk_fax||"/>
								</td>
							</tr>
							<tr>
								<td valign="top" align="right">Address:</td>
								<td>
									<textarea id="abk_address" name="abk_address" rows="5" cols="||ifinstr||netscape_version||4.||25||else||35||endif||">||abk_address||</textarea>
								</td>
							</tr>
							<tr>
								<td colspan="2" align="right">
				||ifinstr||netscape_version||5.||
					<input type="button" value="Close Window" onclick="window.close();"/>
				||endif||

				||ifempty||nick_name||
					<input type="button" onclick="addAddress();" value="Add Address" id="add_addr" name="add_addr"/>
				||else||
					<input type="button" onclick="saveAddress();" value="Save Address" id="add_addr" name="add_addr"/>
									<input type="button" onclick="delAddress();" value="Delete" id="del_addr" name="del_addr"/>
				||endif||
			</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
			<input type="hidden" name="picklist" value="||html_text||picklist||" />
			<input type="hidden" name="dist_list" value="||html_text||dist_list||" />
			<input type="hidden" name="autoadd" value="on" ||ifnempty||autoadd||checked="checked"||endif|| />
			<input type="hidden" name="autoadd2" value="on" ||ifnempty||autoadd2||checked="checked"||endif|| />
		</form>
	</body>
</html>
